%define translation_ver 2013.11.26
%define version         5.5.0
%define subrel  3

Name:           mintmenu
Version:        %{version}
Release:        %mkrel 2
License:        GPLv2
Summary:        Advanced Mate menu
Group:          Graphical desktop/MATE
URL:            https://launchpad.net/mintmenu
BuildArch:      noarch
Source0:        http://packages.linuxmint.com/pool/main/m/mintmenu/%{name}_%{version}.tar.gz
Source1:        http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_%{translation_ver}.tar.gz
Source2:        mageia-mintmenu.tar.xz
# Add shebangs for style
Patch0:         mintmenu-5.4.9-mga-add_sebangs.patch
# Rpmdrake launcher
Patch1:         mintmenu-5.5.0-drakxtools.patch
# move from /usr/lib to /usr/share
Patch2:         mintmenu-5.5.0-mga-migrate-to-datadir.patch
# fix run as superuser
Patch3:         mintmenu-5.5.0-mga-run_as_superuser.patch
# We don't need apt as a rpm based system.
Patch4:         mintmenu-5.4.9-mga-remove_apt_cache.patch
# Change locale directory to be IAW FHS 2.3 para 4.11
Patch5:         mintmenu-5.4.9-mga-fix_locale_dir.patch
# https://bugs.launchpad.net/linuxmint/+bug/826157
Patch6:         mintmenu-5.4.9-mga-fix_menu_crashing
# Remove uninstalling apps option, we do not use synaptic.
Patch7:         mintmenu-5.5.0-mga-remove-uninstall.patch
# Remove mint specific searches and install mageia one
Patch8:         mintmenu-5.5.0-mga-search-engines.patch
# Fixes mintmenu about dialog error.
Patch9:         mintmenu-5.5.0-about.patch
# Should fix ~/Desktop placeholder (mga#14761)
Patch10:         mintmenu-5.5.0-mga-respect_xdg_paths.patch

Requires:       mate-menu-editor
Requires:       mate-panel >= 1.6.0
Requires:       python < 3.0
Requires:       python >= 2.4
Requires:       pygtk2.0
Requires:       pygtk2.0-libglade
Requires:       python-pyxdg
Requires:       python-xlib
Requires:       python-configobj
Requires:       mate-icon-theme

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, auto-session, and many other features.

MintMenu can either be added to your mate-panel or
launched in its own window.

%prep
%setup -q -n mintmenu -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build

%install
#clean out questionably liscensed files.
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.png
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.svg
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find . -name '*~' -exec rm -f {} ';'

# Remove translations other than mintmenu
find mint-translations-%{translation_ver}/ -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'

# Mageia custom translation: Convert .mo files to .po templates again.
tar xvJf %{SOURCE2} -C  mint-translations-%{translation_ver}/usr/share/linuxmint/
pushd mint-translations-%{translation_ver}/usr/share/linuxmint/locale/
mint_langs="af ckb et  hy li nn  si  tlh am crh eu  ia lo nso sk  tpi an cs  fa  id lt oc  sl  tr ar csb fi  is lv om  sn  ts as cv  fil it mai or  so  ug ast cy  fo  ja mg pa  sq  uk da  fr  jv mhr pap sr  ur ban de  fr_CA ka mk pl sr@ijekavianlatin  dz kab ml ps  sr@latin be@latin  el  gaa kk pt  su  vi ber en_AU gd  km mr pt_BR sv  bg en_CA gl  kn pt_PT sw  xh bn en_GB gu  ko mus ro  ta  yi bn_IN en@shaw gv  ksw my ru  te  zh_CN br en_US he nb rue zh_HK bs eo  hi nds rw  zh_TW ca es  hr  la ne sco zu ca@valencia es_AR hu lb nl shn"
for i in $mint_langs; do
    if [ ! -f ../mageia-mintmenu/$i.po ]; then
        continue
    fi
    msgunfmt -o $i/LC_MESSAGES/mintmenu.po $i/LC_MESSAGES/mintmenu.mo
    msgcat $i/LC_MESSAGES/mintmenu.po ../mageia-mintmenu/$i.po > $i/LC_MESSAGES/$i.po
    rm -f $i/LC_MESSAGES/mintmenu.*
    msgfmt -o $i/LC_MESSAGES/mintmenu.mo $i/LC_MESSAGES/$i.po
    rm -f $i/LC_MESSAGES/$i.po
done
popd

install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu
install -d -p %{buildroot}%{_datadir}/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/mintMenu/
rm -rf %{buildroot}%{_datadir}/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/mintMenu/
install -d -p %{buildroot}%{_datadir}/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/mintMenu/plugins/
install -d -p %{buildroot}%{_datadir}/mintMenu/search_engines
install -m 644 -p usr/lib/linuxmint/mintMenu/search_engines/* %{buildroot}%{_datadir}/mintMenu/search_engines/

install -d -p %{buildroot}%{_datadir}/dbus-1/services
install -m 755 -p usr/share/dbus-1/services/* %{buildroot}%{_datadir}/dbus-1/services/

install -d -p %{buildroot}%{_datadir}/glib-2.0/schemas/
install -m 644 -p usr/share/glib-2.0/schemas/* %{buildroot}%{_datadir}/glib-2.0/schemas/

install -d -p %{buildroot}%{_datadir}/mate-panel/applets/
install -m 644 -p usr/share/mate-panel/applets/* %{buildroot}%{_datadir}/mate-panel/applets/

rm -fr mint-translations-%{translation_ver}/usr/share/linuxmint/mageia-mintmenu
cp -r mint-translations-%{translation_ver}/usr/share/linuxmint/* %{buildroot}%{_datadir}/
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*

%{find_lang} %{name} --all-name

%files  -f %{name}.lang
%{_bindir}/mintmenu
%dir %{_datadir}/mintMenu
%{_datadir}/mintMenu/*.*
%{_datadir}/mintMenu/plugins/
%{_datadir}/mintMenu/search_engines/*
%dir %{_datadir}/glib-2.0/schemas/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/*
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/*



%changelog
* Tue Mar 03 2015 tarakbumba <tarakbumba> 5.5.0-2.3.mga4
+ Revision: 817383
- Add python-configobj requires
- Patch places plugin to respect xdg specifications (mga#14761)
- Use localized MCC entry (fixes mga#12791)
- Remove use of gksu-polkit (not needed anymore)
- Fix about dialog.

* Fri Dec 13 2013 tarakbumba <tarakbumba> 5.5.0-2.mga4
+ Revision: 556532
- Rediff and rename draktools patches

* Fri Nov 29 2013 tarakbumba <tarakbumba> 5.5.0-1.mga4
+ Revision: 554021
- Update to new version
- imported package mintmenu

